2009-09-10  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* schema/murrine.xml.in.in:
	* src/murrine_draw.c (murrine_scale_draw_gradient),
	(murrine_draw_scale_trough), (murrine_draw_progressbar_trough),
	(murrine_draw_scrollbar_trough):
	* src/murrine_draw_rgba.c (murrine_scale_draw_gradient),
	(murrine_rgba_draw_scale_trough),
	(murrine_rgba_draw_progressbar_trough),
	(murrine_rgba_draw_scrollbar_trough):
	* src/murrine_style.c (murrine_set_widget_parameters),
	(murrine_style_draw_box), (murrine_style_init_from_rc),
	(murrine_style_copy):
	* src/murrine_types.h:
	* src/support.h:
	Fixed xml schema file,
	removed an useless check in set_widget_parameters,
	scale and progressbar's trough is now using bg[ACTIVE],
	remove right trough scrollbar line with 
	GtkScrolledWindow::scrollbars-within-bevel = 1 as requested.

2009-04-03  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* NEWS:
	* configure.ac:
	Updated NEWS file with a summary of the 0.90.3 release.
	Changed version to 0.90.3.

2009-04-03  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_style.c (murrine_style_draw_box):
	Don't draw shadows around spinbuttons, use inset as the combobox entry.

2009-04-03  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_draw.c (murrine_draw_focus):
	Changes in focus drawing: rounded focus on listview header, better 
	unselected focus on treeview items, use dots on selected treeview items.

2009-03-26  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_draw.c (murrine_draw_focus):
	Better focus theming. Treeview focus is still not nice, because it is
	really difficult to theme (some themes uses black text, which should
	have a dark focus ring, while other themes a white one).

2009-03-18  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* NEWS:
	* configure.ac:
	Updated NEWS file with a summary of the 0.90.2 release.
	Changed version to 0.90.2.

2009-03-18  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* configure.ac:
	* src/murrine_rc_style.c (theme_parse_color),
	(murrine_rc_style_parse):
	Bumped Gtk+ version to 2.12.0.
	Use gtk_rc_parse_color_full (Gtk+ 2.12.0), which allows using
	symbolic colors for focus_color and scrollbar_color.

2009-03-18  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* NEWS:
	* src/murrine_style.c (murrine_style_draw_shadow),
	(murrine_style_draw_box), (murrine_style_draw_focus):
	Fixed a crash when using focus_color.

2009-03-18  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* NEWS:
	Updated NEWS file with a summary of the 0.90.1 release.

2009-03-18  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* NEWS:
	Updated NEWS file with a summary of the 0.90.0 release.

2009-03-18  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_style.c (murrine_style_draw_focus):
	* src/support.c (murrine_gtk_treeview_get_header_index),
	(murrine_gtk_clist_get_header_index),
	(murrine_special_get_ancestor), (murrine_get_parent_window),
	(murrine_get_parent_bgcolor), (murrine_find_combo_box_widget),
	(murrine_is_combo_box):
	Fixed the focus on the gnome-panel.

2009-03-18  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/cairo-support.c (clearlooks_rounded_rectangle),
	(murrine_draw_lightborder):
	* src/murrine_draw.c (murrine_draw_inset),
	(murrine_draw_highlight_and_shade):
	* src/murrine_draw_rgba.c (murrine_draw_inset),
	(murrine_draw_highlight_and_shade):
	High roundness values are finally fixed!
	Try roundness = 10000000 (:-D), it should work.

2009-03-18  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* schema/murrine.xml.in.in:
	Fixed a typo.

2009-03-18  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_draw.c (murrine_draw_entry):
	* src/murrine_draw_rgba.c (murrine_rgba_draw_entry):
	* src/murrine_style.c (murrine_style_draw_shadow):
	* src/murrine_types.h:
	Use focus->color in draw_entry.

2009-03-17  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_draw.c (murrine_draw_menuitem):
	I guess this should fix menuitems with roundness = 1, even if I haven't
	seen those bugs (but the new code seems correct).

2009-03-17  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_style.c (murrine_style_draw_flat_box),
	(murrine_style_draw_shadow), (murrine_style_draw_box_gap),
	(murrine_style_draw_box), (murrine_style_draw_shadow_gap),
	(murrine_style_draw_focus):
	Started reducing duplicated params.corners initializations.
	Could break something, but it shouldn't.

2009-03-17  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* configure.ac:
	Started working on 0.90.1.

2009-03-17  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* TODO:
	* src/murrine_draw.c (murrine_draw_scrollbar_slider):
	* src/murrine_draw_rgba.c (murrine_rgba_draw_scrollbar_slider):
	Fixed the rendering bug on the scrollbar's slider by reducing the 
	roundness of the clipped area.

2009-03-17  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_style.c (murrine_style_draw_box):
	Removed shadows from GtkCombo and GtkComboBoxEntry.
	Feedback is appreciated.

2009-03-17  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_style.c (murrine_style_draw_box):
	Changed params.active heuristic for toggle button, I should ask benzea 
	for more info.

2009-03-16  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* configure.ac:
	Ops 0.90.0 not 0.90.

2009-03-16  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* configure.ac:
	* src/cairo-support.c:
	* src/cairo-support.h:
	* src/murrine_draw.c (murrine_draw_button), (murrine_draw_entry):
	Renamed 0.90, removed set_border_gradient for this release.

2009-03-10  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/cairo-support.c (murrine_set_gradient),
	(murrine_set_border_gradient):
	* src/cairo-support.h:
	* src/murrine_draw.c (murrine_draw_button), (murrine_draw_entry),
	(murrine_draw_entry_progress), (murrine_register_style_murrine):
	* src/murrine_style.c (murrine_style_draw_box):
	* src/murrine_types.h:
	Two interesting things:
	1) Added set_border_gradient, useful in the future but not enabled yet
	2) Draw the entry progressbar, since GTK+ 2.16.0

2009-02-22  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_draw.c (murrine_draw_checkbox),
	(murrine_draw_classic_focus), (murrine_draw_focus):
	* src/murrine_draw_rgba.c (murrine_rgba_draw_checkbox),
	(murrine_rgba_draw_menu_frame):
	Small change in rgba rounded menus, updated previous
	ChangeLog entry.

2009-02-22  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* schema/murrine.xml.in.in:
	* src/murrine_draw.c (murrine_draw_classic_focus),
	(murrine_draw_focus), (murrine_register_style_murrine):
	* src/murrine_rc_style.c (murrine_rc_style_init),
	(murrine_rc_style_parse), (murrine_rc_style_merge):
	* src/murrine_rc_style.h:
	* src/murrine_style.c (murrine_style_draw_box),
	(murrine_style_init_from_rc), (murrine_style_draw_focus),
	(murrine_style_copy):
	* src/murrine_style.h:
	* src/murrine_types.h:
	First implementation of the focus drawing.
	Maybe not amazing as clearlooks's focus, but this focus is 
	compatible with much more colorschemes.
	Added focus_color option.
	The style is taken from the great Skulpture Qt 4 style.

2009-02-18  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_draw.c (murrine_draw_scrollbar_slider):
	* src/murrine_draw_rgba.c (murrine_rgba_draw_scrollbar_slider):
	Less shade on prelighted scrollbar slider.

2009-02-17  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_draw.c (murrine_draw_scrollbar_slider):
	* src/murrine_draw_rgba.c (murrine_rgba_draw_scrollbar_slider):
	* src/murrine_style.c (murrine_style_draw_box):
	Align scrollbar's handles.

2009-02-02  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_draw.c (murrine_draw_tab):
	* src/murrine_draw_rgba.c (murrine_rgba_draw_tab):
	* src/murrine_style.c (murrine_style_draw_box):
	Draw rounded scrollbar's sliders when trough-under-steppers is 0.

2009-01-24  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_draw.c (murrine_draw_scale_trough):
	* src/murrine_draw_rgba.c (murrine_rgba_draw_scale_trough):
	* src/murrine_style.c (murrine_style_draw_box):
	* src/murrine_types.h:
	Added support for GtkScale::trough-side-details and fill-level.
	This will break old themes (the scale's trough).
	To update your theme, please add this in the gtkrc:
	GtkScale::trough-side-details = 1

2009-01-23  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_style.c (murrine_style_draw_shadow):
	Don't draw statusbar'S HIGHLIGHT when shadow-type is GTK_SHADOW_NONE.

2009-01-23  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_style.c (murrine_style_draw_box):
	Fixed a bug in the scale_trough not fully filled in some cases.
	Thanks lucazade for pointing this out.

2009-01-22  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_draw.c (murrine_draw_button):
	* src/murrine_draw_rgba.c (murrine_rgba_draw_button):
	Automatically reduce glow_shade on disabled buttons.

2009-01-11  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_style.c (murrine_style_draw_shadow):
	Clamp workspace switcher's roundness to 3.

2009-01-11  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_draw.c (murrine_draw_button), (murrine_draw_tab),
	(murrine_draw_radiobutton), (murrine_draw_checkbox):
	* src/murrine_draw_rgba.c (murrine_rgba_draw_button),
	(murrine_rgba_draw_tab), (murrine_rgba_draw_radiobutton),
	(murrine_rgba_draw_checkbox):
	Automatically reduce lightborder_shade for widgets in disabled state:
	button, radio and check, tab.
	Fixed reliefstyle = 0 in radio and check.
	Feedback is always welcome, if you prefer before the lightborder_shade
	tweak.

2009-01-09  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_draw.c (murrine_scale_draw_gradient):
	* src/murrine_draw_rgba.c (murrine_scale_draw_gradient):
	Fixed a misalignment of the scale's hightlight.

2009-01-05  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_draw.c (murrine_draw_button),
	(murrine_draw_scrollbar_stepper), (murrine_draw_scrollbar_slider),
	(murrine_draw_radiobutton), (murrine_draw_checkbox):
	* src/murrine_draw_rgba.c (murrine_rgba_draw_button),
	(murrine_rgba_draw_progressbar_fill),
	(murrine_rgba_draw_scrollbar_stepper),
	(murrine_rgba_draw_scrollbar_slider),
	(murrine_rgba_draw_radiobutton), (murrine_rgba_draw_checkbox):
	Fixed rounded scrollbars's corners.
	Various changes in cairo operators in rgba mode, I hope
	that everything renders correctly as before, I can't test it now.

2009-01-05  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_draw.c (murrine_draw_progressbar_fill):
	* src/murrine_draw_rgba.c (murrine_rgba_draw_progressbar_fill):
	Fixed rounded progressbars's corners.

2009-01-04  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/animation.c:
	* src/animation.h:
	* src/cairo-support.c:
	* src/cairo-support.h:
	* src/murrine_draw.c:
	* src/murrine_draw.h:
	* src/murrine_draw_rgba.c:
	* src/murrine_rc_style.c:
	* src/murrine_rc_style.h:
	* src/murrine_style.c:
	* src/murrine_style.h:
	* src/murrine_theme_main.c:
	* src/murrine_types.h:
	* src/support.c:
	* src/support.h:
	Updated Copyright notes for 2009.

2009-01-04  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_draw.c (murrine_draw_entry):
	* src/murrine_draw_rgba.c (murrine_rgba_draw_entry):
	Better GtkEntry focus.

2009-01-04  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/cairo-support.c (murrine_draw_lightborder),
	(murrine_draw_glaze):
	Removed horizontal parameter to lightborder,
	this fixes spinbuttons, but could break vertical widgets,
	please test and report bugs if you see a misplacement
	of the lightborder.

2009-01-04  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_draw.c (murrine_draw_radiobutton),
	(murrine_draw_checkbox):
	* src/murrine_draw_rgba.c (murrine_rgba_draw_radiobutton),
	(murrine_rgba_draw_checkbox):
	Changed inactive disabled checkbutton/radiobutton:
	no background is drawn.

2009-01-03  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_draw.c (murrine_draw_radiobutton),
	(murrine_draw_checkbox):
	* src/murrine_draw_rgba.c (murrine_rgba_draw_radiobutton),
	(murrine_rgba_draw_checkbox):
	Fancy new checkbutton and new radiobutton.

2009-01-03  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_draw.c (murrine_draw_button):
	* src/murrine_draw_rgba.c (murrine_rgba_draw_button):
	Small performance improvement in button's drawing.

2009-01-03  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_draw.c (murrine_draw_list_view_header):
	Better listview header (uses lightborder) when glazestyle != 0.

2009-01-03  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_draw.c (murrine_draw_inset):
	Decreased the inset around buttons, do you like it?

2009-01-02  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_draw.c (murrine_draw_progressbar_trough),
	(murrine_draw_progressbar_fill):
	* src/murrine_draw_rgba.c (murrine_rgba_draw_progressbar_trough),
	(murrine_rgba_draw_progressbar_fill):
	Should fix roundness bugs on very small progressbar.

2009-01-02  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_draw.c (murrine_draw_scale_trough):
	* src/murrine_draw_rgba.c (murrine_rgba_draw_scale_trough):
	Fixed a small bug on the scale gradient.

2009-01-02  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_draw.c (murrine_scale_draw_gradient),
	(murrine_draw_scale_trough):
	* src/murrine_draw_rgba.c (murrine_scale_draw_gradient),
	(murrine_rgba_draw_scale_trough):
	Added a small lightborder inside the scale gradient.

2009-01-02  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_draw.c (murrine_draw_progressbar_fill):
	* src/murrine_draw_rgba.c (murrine_rgba_draw_progressbar_fill):
	Fixed previous commit.

2009-01-02  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* schema/murrine.xml.in.in:
	* src/murrine_draw.c (murrine_draw_progressbar_fill):
	* src/murrine_draw_rgba.c (murrine_rgba_draw_progressbar_fill):
	Added progressbarstyle = 2 (cells).

2009-01-02  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* schema/murrine.xml.in.in:
	Removed duplicated and unused options.

2009-01-02  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_draw.c (murrine_draw_progressbar_fill):
	* src/murrine_draw_rgba.c (murrine_rgba_draw_progressbar_fill):
	Fixed a bug when the progressbar is really small.

2009-01-02  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_draw.c (murrine_draw_button),
	(murrine_draw_menuitem), (murrine_draw_scrollbar_stepper):
	* src/murrine_draw_rgba.c (murrine_rgba_draw_button),
	(murrine_rgba_draw_scrollbar_stepper):
	Always clip with roundness = 0 or 1.
	This could be slower with roundness = 0 or 1:
	please TEST and tell me if there is a performance regression.

2009-01-02  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_draw.c (murrine_draw_progressbar_trough),
	(murrine_draw_progressbar_fill):
	* src/murrine_draw_rgba.c (murrine_rgba_draw_progressbar_trough),
	(murrine_rgba_draw_progressbar_fill):
	* src/murrine_rc_style.c (murrine_rc_style_parse):
	* src/murrine_style.c (murrine_style_draw_box):
	* src/murrine_types.h:
	First approach with rounded progressbar.
	Print more info when using an old option.

2008-12-30  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* schema/murrine.xml.in.in:
	* src/cairo-support.c (murrine_draw_glaze), (get_decreased_shade),
	(get_increased_shade), (get_decreased_gradient_shades):
	* src/cairo-support.h:
	* src/murrine_draw.c (murrine_draw_button),
	(murrine_draw_progressbar_fill), (murrine_draw_menubar),
	(murrine_draw_toolbar), (murrine_draw_tab),
	(murrine_draw_list_view_header), (murrine_draw_menuitem),
	(murrine_draw_scrollbar_stepper), (murrine_draw_scrollbar_slider),
	(murrine_draw_radiobutton), (murrine_draw_checkbox):
	* src/murrine_draw_rgba.c (murrine_rgba_draw_button),
	(murrine_rgba_draw_progressbar_fill), (murrine_rgba_draw_menubar),
	(murrine_rgba_draw_toolbar), (murrine_rgba_draw_tab),
	(murrine_rgba_draw_scrollbar_stepper),
	(murrine_rgba_draw_scrollbar_slider),
	(murrine_rgba_draw_radiobutton), (murrine_rgba_draw_checkbox):
	* src/murrine_rc_style.c (murrine_rc_style_init),
	(theme_parse_shade), (murrine_rc_style_parse),
	(murrine_rc_style_merge):
	* src/murrine_rc_style.h:
	* src/murrine_style.c (murrine_set_widget_parameters),
	(murrine_style_draw_layout), (murrine_style_init_from_rc),
	(murrine_style_copy):
	* src/murrine_style.h:
	* src/murrine_types.h:
	Don't kill me, it is correct:
	highlight_ratio renamed to highlight_shade,
	lightborder_ratio renamed to lightborder_shade,
	glow_ratio renamed to glow_shade.

2008-12-29  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_draw.c (murrine_draw_toolbar):
	* src/murrine_draw_rgba.c (murrine_rgba_draw_toolbar):
	Added a small highlight on toolbarstyle = 2.

2008-12-28  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/cairo-support.c (murrine_draw_glaze):
	Fixed a bug in RGBA mode.

2008-12-28  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* schema/murrine.xml.in.in:
	* src/cairo-support.c (murrine_draw_bottom_glow),
	(murrine_draw_centered_glow), (murrine_draw_horizontal_glow),
	(murrine_draw_top_glow), (murrine_draw_glaze):
	* src/cairo-support.h:
	* src/murrine_draw.c (murrine_draw_button),
	(murrine_draw_progressbar_fill), (murrine_draw_menubar),
	(murrine_draw_toolbar), (murrine_draw_list_view_header),
	(murrine_draw_menuitem), (murrine_draw_scrollbar_stepper),
	(murrine_draw_scrollbar_slider):
	* src/murrine_draw_rgba.c (murrine_rgba_draw_button),
	(murrine_rgba_draw_progressbar_fill), (murrine_rgba_draw_menubar),
	(murrine_rgba_draw_toolbar), (murrine_rgba_draw_scrollbar_stepper),
	(murrine_rgba_draw_scrollbar_slider):
	* src/murrine_rc_style.c (murrine_rc_style_init),
	(murrine_rc_style_parse), (murrine_rc_style_merge):
	* src/murrine_rc_style.h:
	* src/murrine_style.c (murrine_set_widget_parameters),
	(murrine_style_init_from_rc), (murrine_style_copy):
	* src/murrine_style.h:
	* src/murrine_types.h:
	5 glowstyle options: top, bottom, top and bottom, horizontal, centered.

2008-12-28  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/cairo-support.c (murrine_draw_glow), (murrine_draw_glaze):
	* src/murrine_rc_style.c (murrine_rc_style_init),
	(murrine_rc_style_parse), (murrine_rc_style_merge):
	* src/murrine_rc_style.h:
	* src/murrine_style.c (murrine_set_widget_parameters),
	(murrine_style_init_from_rc), (murrine_style_copy):
	* src/murrine_style.h:
	* src/murrine_types.h:
	Added a initial test of glow_ratio option.
	It is in *testing*.

2008-12-28  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* schema/murrine.xml.in.in:
	* src/murrine_draw.c (murrine_draw_progressbar_fill):
	* src/murrine_draw_rgba.c (murrine_rgba_draw_progressbar_fill):
	* src/murrine_rc_style.c (murrine_rc_style_init),
	(murrine_rc_style_parse), (murrine_rc_style_merge):
	* src/murrine_rc_style.h:
	* src/murrine_style.c (murrine_style_draw_box),
	(murrine_style_init_from_rc), (murrine_style_copy):
	* src/murrine_style.h:
	* src/murrine_types.h:
	Added progressbarstyle, progressbarstyle = 1 is striped,
	progressbarstyle = 0 (ugly) is without anything.

2008-12-28  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_draw_rgba.c (murrine_rgba_draw_scrollbar_slider):
	Draw rounded scrollbars sliders when GtkRange::trough-border > 0.

2008-12-27  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_draw.c (murrine_draw_scrollbar_slider):
	* src/murrine_style.c (murrine_style_draw_box):
	Draw rounded scrollbars sliders when GtkRange::trough-border > 0.

2008-12-27  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_style.c (murrine_style_draw_box):
	Fixed a small bug in the progressbar.

2008-12-27  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_draw.c (murrine_draw_menuitem):
	Use lightborder_ratio of the theme,
	please disable it in the gtkrc if you don't want it.

2008-12-14  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/support.c (murrine_scrollbar_visible_steppers):
	Fixed murrine_scrollbar_visible_steppers,
	patch by Ivan N. Zlatev, thanks!

2008-11-30  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_style.c (murrine_style_draw_box):
	Fixed a memory leak. Thanks to Paolo Borelli.

2008-10-11  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_style.c (murrine_style_draw_box):
	Let's return when detail is buttondefault, should fix bug #555891.

2008-10-03  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/cairo-support.c (murrine_draw_new_glossy_highlight),
	(murrine_draw_glow), (murrine_draw_glaze):
	* src/cairo-support.h:
	New glazestyle (5, let's test), declared some methods as static,
	removing them from the header file

2008-10-03  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/cairo-support.c (murrine_rgb_to_hls), (murrine_hls_to_rgb),
	(murrine_shade), (murrine_mix_color), (murrine_gdk_color_to_rgb),
	(get_decreased_ratio), (get_increased_ratio):
	* src/murrine_draw.c (murrine_draw_inset), (murrine_draw_button),
	(murrine_draw_entry), (murrine_draw_spinbutton_down),
	(murrine_draw_scale_trough), (murrine_draw_progressbar_trough),
	(murrine_draw_progressbar_fill), (murrine_draw_optionmenu),
	(murrine_draw_menubar), (murrine_draw_toolbar),
	(murrine_draw_frame), (murrine_draw_tab), (murrine_draw_separator),
	(murrine_draw_combo_separator), (murrine_draw_list_view_header),
	(murrine_draw_menuitem), (murrine_draw_scrollbar_trough),
	(murrine_draw_scrollbar_stepper), (murrine_draw_scrollbar_slider),
	(murrine_draw_selected_cell), (murrine_draw_statusbar),
	(murrine_draw_menu_frame), (murrine_draw_tooltip),
	(murrine_draw_handle), (murrine_draw_normal_arrow),
	(murrine_draw_combo_arrow), (_murrine_draw_arrow),
	(murrine_draw_arrow), (murrine_draw_radiobutton),
	(murrine_draw_checkbox), (murrine_draw_resize_grip):
	* src/murrine_draw_rgba.c (murrine_draw_inset),
	(murrine_rgba_draw_button), (murrine_rgba_draw_entry),
	(murrine_rgba_draw_scale_trough),
	(murrine_rgba_draw_progressbar_trough),
	(murrine_rgba_draw_progressbar_fill), (murrine_rgba_draw_menubar),
	(murrine_rgba_draw_toolbar), (murrine_rgba_draw_frame),
	(murrine_rgba_draw_separator), (murrine_rgba_draw_tab),
	(murrine_rgba_draw_scrollbar_trough),
	(murrine_rgba_draw_scrollbar_stepper),
	(murrine_rgba_draw_scrollbar_slider), (murrine_rgba_draw_tooltip),
	(murrine_rgba_draw_handle), (murrine_rgba_draw_radiobutton),
	(murrine_rgba_draw_checkbox), (murrine_rgba_draw_menu_frame),
	(murrine_rgba_draw_statusbar):
	* src/murrine_style.c (murrine_style_draw_shadow),
	(murrine_style_draw_box), (murrine_style_draw_option),
	(murrine_style_draw_check), (murrine_style_draw_layout),
	(murrine_style_realize), (gdk_cairo_set_source_color_alpha),
	(murrine_style_draw_focus), (murrine_style_copy),
	(murrine_style_unrealize), (set_transparency),
	(murrine_style_init), (murrine_style_class_init):
	Polishing code - Part 3
	Removed cairo_set_line_width (cr, 1.0) and use cairo save and restore

2008-09-30  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_draw.c (murrine_draw_button):
	Trailing spaces

2008-09-30  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_draw.c (murrine_draw_button):
	* src/murrine_draw_rgba.c (murrine_rgba_draw_button):
	Fixes a bug when drawing inset on buttons with thickness < 2

2008-09-30  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/cairo-support.c (murrine_pattern_add_color_stop_rgb),
	(murrine_pattern_add_color_stop_rgba), (murrine_rounded_corner),
	(clearlooks_rounded_rectangle), (murrine_draw_lightborder),
	(murrine_set_gradient):
	* src/cairo-support.h:
	* src/murrine_draw.c (murrine_draw_button),
	(murrine_draw_spinbutton_down), (murrine_draw_progressbar_trough),
	(murrine_draw_menubar), (murrine_draw_toolbar), (murrine_draw_tab),
	(murrine_draw_list_view_header):
	* src/murrine_draw_rgba.c (murrine_rgba_draw_button),
	(murrine_rgba_draw_progressbar_trough),
	(murrine_rgba_draw_menubar), (murrine_rgba_draw_toolbar),
	(murrine_rgba_draw_tab):
	* src/murrine_style.c (murrine_style_draw_flat_box):
	Renamed pattern variables to pat, less chars :)

2008-09-30  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/cairo-support.c (murrine_pattern_add_color_stop_rgb),
	(murrine_pattern_add_color_stop_rgba), (murrine_draw_lightborder),
	(murrine_set_gradient):
	* src/cairo-support.h:
	* src/murrine_draw.c (murrine_draw_button),
	(murrine_draw_spinbutton_down), (murrine_draw_progressbar_trough),
	(murrine_draw_menubar), (murrine_draw_toolbar), (murrine_draw_tab),
	(murrine_draw_list_view_header):
	* src/murrine_draw_rgba.c (murrine_rgba_draw_button),
	(murrine_rgba_draw_progressbar_trough),
	(murrine_rgba_draw_menubar), (murrine_rgba_draw_toolbar),
	(murrine_rgba_draw_tab):
	* src/murrine_style.c (murrine_style_draw_flat_box),
	(murrine_style_draw_box):
	Bypass cairo_pattern_add_color_stop_rgb/rgba with
	murrine_pattern_add_color_stop_rgb/rgba

2008-09-30  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* TODO:
	* src/cairo-support.c (murrine_draw_glaze),
	(murrine_draw_lightborder):
	* src/murrine_draw.c (murrine_draw_button),
	(murrine_draw_scale_trough), (murrine_draw_slider_handle),
	(murrine_draw_progressbar_fill), (murrine_draw_tab),
	(murrine_draw_handle):
	* src/murrine_draw_rgba.c (murrine_rgba_draw_button),
	(murrine_rgba_draw_scale_trough),
	(murrine_rgba_draw_progressbar_fill), (murrine_rgba_draw_tab):
	Updated TODO, trying to use a new algorithm for vertical lightborder

2008-09-30  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/cairo-support.c (murrine_draw_glaze):
	* src/murrine_draw.c (murrine_draw_inset), (murrine_draw_button),
	(murrine_draw_menubar), (murrine_draw_toolbar),
	(murrine_get_frame_gap_clip), (murrine_draw_list_view_header),
	(murrine_draw_menuitem), (murrine_draw_scrollbar_trough),
	(murrine_draw_scrollbar_stepper), (murrine_draw_scrollbar_slider):
	* src/murrine_draw_rgba.c (murrine_draw_inset),
	(murrine_rgba_draw_button), (murrine_rgba_draw_menubar),
	(murrine_rgba_draw_toolbar), (murrine_get_frame_gap_clip),
	(murrine_rgba_draw_scrollbar_trough),
	(murrine_rgba_draw_scrollbar_stepper),
	(murrine_rgba_draw_scrollbar_slider):
	Using switch instead of "else if"

2008-09-29  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_draw.c (murrine_draw_scrollbar_stepper):
	* src/murrine_draw_rgba.c (murrine_rgba_draw_scrollbar_stepper):
	Fixed a rendering bug since r1 :)

2008-09-29  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_draw.c (murrine_draw_button),
	(murrine_draw_scrollbar_stepper):
	* src/murrine_draw_rgba.c (murrine_rgba_draw_button),
	(murrine_rgba_draw_scrollbar_stepper):
	Fixes in button's corners

2008-09-29  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/cairo-support.c (murrine_draw_glaze):
	* src/cairo-support.h:
	* src/murrine_draw.c (murrine_draw_button),
	(murrine_draw_progressbar_fill), (murrine_draw_menubar),
	(murrine_draw_toolbar), (murrine_draw_list_view_header),
	(murrine_draw_menuitem), (murrine_draw_scrollbar_stepper),
	(murrine_draw_scrollbar_slider):
	* src/murrine_draw_rgba.c (murrine_rgba_draw_button),
	(murrine_rgba_draw_progressbar_fill), (murrine_rgba_draw_menubar),
	(murrine_rgba_draw_toolbar), (murrine_rgba_draw_scrollbar_stepper),
	(murrine_rgba_draw_scrollbar_slider):
	Dangerous :) But should work. A lot of code removed

2008-09-29  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/cairo-support.c:
	* src/murrine_draw.c (murrine_draw_button):
	* src/murrine_draw_rgba.c (murrine_rgba_draw_button):
	Button's code simplified

2008-09-29  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* configure.ac:
	* src/murrine_draw.c (murrine_draw_menubar),
	(murrine_draw_toolbar), (murrine_draw_separator):
	* src/murrine_draw_rgba.c (murrine_rgba_draw_menubar),
	(murrine_rgba_draw_toolbar), (murrine_rgba_draw_separator):
	Removed --enable-macmenu. You can use other options.

2008-09-29  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/cairo-support.c (murrine_draw_curved_highlight),
	(murrine_draw_curved_highlight_top),
	(murrine_draw_curved_highlight_bottom), (murrine_draw_glaze):
	* src/cairo-support.h:
	* src/murrine_draw.c (murrine_draw_button),
	(murrine_draw_progressbar_fill), (murrine_draw_menubar),
	(murrine_draw_toolbar), (murrine_draw_list_view_header),
	(murrine_draw_menuitem), (murrine_draw_scrollbar_stepper),
	(murrine_draw_scrollbar_slider), (murrine_draw_selected_cell),
	(murrine_draw_statusbar):
	* src/murrine_draw_rgba.c (murrine_rgba_draw_button),
	(murrine_rgba_draw_entry), (murrine_rgba_draw_progressbar_fill),
	(murrine_rgba_draw_menubar), (murrine_rgba_draw_toolbar),
	(murrine_rgba_draw_tab), (murrine_rgba_draw_scrollbar_stepper),
	(murrine_rgba_draw_scrollbar_slider),
	(murrine_rgba_draw_statusbar):
	TOTAL rewrite of the glaze functions, removed 500 lines of code ;)
	Please TEST! Comparing before/after.

2008-09-27  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_draw.c (murrine_draw_progressbar_fill),
	(murrine_draw_tab), (murrine_draw_separator),
	(murrine_draw_combo_separator), (murrine_draw_list_view_header),
	(murrine_draw_toolbar), (murrine_draw_menuitem):
	* src/murrine_draw_rgba.c (murrine_rgba_draw_progressbar_fill),
	(murrine_rgba_draw_toolbar):
	Polishing code - Part 2
	Changed (more speed) progressbars borders, please check if the style is
	equal to the old one.

2008-09-27  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_draw.c (murrine_draw_highlight_and_shade),
	(murrine_draw_button), (murrine_draw_entry),
	(murrine_draw_spinbutton_down), (murrine_scale_draw_gradient),
	(murrine_draw_optionmenu), (murrine_draw_menubar),
	(murrine_draw_frame), (murrine_draw_tab),
	(murrine_draw_list_view_header), (murrine_draw_toolbar),
	(murrine_draw_menuitem), (murrine_draw_scrollbar_trough),
	(murrine_draw_scrollbar_stepper), (murrine_draw_scrollbar_slider),
	(murrine_draw_selected_cell), (murrine_draw_menu_frame),
	(murrine_draw_radiobutton), (murrine_draw_checkbox):
	* src/murrine_draw_rgba.c (murrine_draw_highlight_and_shade),
	(murrine_rgba_draw_button), (murrine_rgba_draw_entry),
	(murrine_scale_draw_gradient),
	(murrine_rgba_draw_progressbar_trough),
	(murrine_rgba_draw_menubar), (murrine_rgba_draw_toolbar),
	(murrine_rgba_draw_frame), (murrine_rgba_draw_tab),
	(murrine_rgba_draw_scrollbar_trough),
	(murrine_rgba_draw_scrollbar_stepper),
	(murrine_rgba_draw_scrollbar_slider), (murrine_rgba_draw_handle),
	(murrine_rgba_draw_radiobutton), (murrine_rgba_draw_checkbox),
	(murrine_rgba_draw_menu_frame):
	Polishing code - Part 1

2008-09-27  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* TODO:
	* src/cairo-support.c (murrine_rounded_rectangle_closed):
	* src/cairo-support.h:
	* src/murrine_draw.c (murrine_draw_button), (murrine_draw_tab),
	(murrine_draw_menuitem), (murrine_draw_scrollbar_stepper):
	* src/murrine_draw_rgba.c (murrine_rgba_draw_button),
	(murrine_rgba_draw_tab), (murrine_rgba_draw_scrollbar_stepper):
	Less code, updated TODO

2008-09-27  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_draw.c (murrine_draw_button),
	(murrine_draw_scrollbar_stepper):
	* src/murrine_draw_rgba.c (murrine_rgba_draw_button),
	(murrine_rgba_draw_scrollbar_stepper):
	Speed improvement in buttons and scrollbar steppers rendering.
	Maybe unnoticeable but there is ;)

2008-09-27  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_style.c (murrine_style_draw_box):
	Better code

2008-09-27  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_style.c (murrine_style_draw_shadow),
	(murrine_style_draw_box_gap), (murrine_style_draw_box):
	Better code

2008-09-27  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_style.c (murrine_style_draw_shadow),
	(murrine_style_draw_box):
	Fix the check to also fill the background if the widget is NULL.

2008-09-27  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_draw.c (murrine_draw_entry),
	(murrine_draw_progressbar_trough):
	* src/murrine_draw_rgba.c (murrine_rgba_draw_entry),
	(murrine_rgba_draw_progressbar_trough):
	* src/murrine_style.c (murrine_style_draw_shadow),
	(murrine_style_draw_box):
	Add support for the "transparent-bg-hint" for entries and progressbars.

2008-09-26  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_style.c (murrine_style_draw_shadow):
	Removes unnecessary MurrineRGB cast to fix build on solaris.
	(Bug #535456 of gtk-engines, patch by Damien Carbery)

2008-09-26  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_draw.c (murrine_draw_list_view_header):
	* src/murrine_style.c (murrine_style_draw_box):
	* src/murrine_types.h:
	Change the header button position enum to be a bitfield.
	(Bug #511958 of gtk-engines, Marcus Brinkmann)

2008-09-26  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_draw.c (murrine_draw_highlight_and_shade),
	(murrine_draw_frame):
	* src/murrine_draw_rgba.c (murrine_draw_highlight_and_shade),
	(murrine_rgba_draw_frame):
	Fixes bugs with rounded shadows

2008-09-26  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_style.c (murrine_style_draw_box):
	Fixed a leak and a bug for rtl (right to left) progressbar's orientation

2008-09-17  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* TODO:
	Updated TODO

2008-09-14  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/cairo-support.c (get_decreased_gradient_shades):
	Fixed a bug of the gradients introduced in rev 65 :)

2008-09-13  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/animation.c:
	* src/animation.h:
	* src/cairo-support.c (get_decreased_gradient_shades):
	* src/cairo-support.h:
	* src/murrine_draw.c (murrine_draw_button),
	(murrine_draw_progressbar_fill), (murrine_draw_menubar),
	(murrine_draw_tab), (murrine_draw_list_view_header),
	(murrine_draw_menuitem), (murrine_draw_scrollbar_stepper),
	(murrine_draw_scrollbar_slider), (murrine_draw_tooltip):
	* src/murrine_draw.h:
	* src/murrine_draw_rgba.c (murrine_rgba_draw_button),
	(murrine_rgba_draw_entry), (murrine_rgba_draw_progressbar_fill),
	(murrine_rgba_draw_menubar), (murrine_rgba_draw_tab),
	(murrine_rgba_draw_scrollbar_stepper),
	(murrine_rgba_draw_scrollbar_slider), (murrine_rgba_draw_tooltip):
	* src/murrine_rc_style.c:
	* src/murrine_rc_style.h:
	* src/murrine_style.c:
	* src/murrine_theme_main.c:
	* src/murrine_types.h:
	Less code to do the same thing ;)

2008-09-12  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* schema/murrine.xml.in.in:
	* src/murrine_rc_style.c (murrine_rc_style_init),
	(theme_parse_profile), (murrine_rc_style_parse),
	(murrine_rc_style_merge):
	* src/murrine_rc_style.h:
	* src/murrine_style.c (murrine_set_widget_parameters),
	(murrine_style_draw_vline), (murrine_style_draw_hline),
	(murrine_style_init_from_rc), (murrine_style_copy),
	(murrine_style_class_init):
	* src/murrine_style.h:
	* src/murrine_types.h:
	Renamed "style" to "profile", since it reflects what this option
	does: loading a profile for the style.

2008-09-12  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_draw.c (murrine_draw_highlight_and_shade),
	(murrine_draw_frame):
	* src/murrine_draw_rgba.c (murrine_draw_highlight_and_shade),
	(murrine_rgba_draw_frame):
	Better code for frames

2008-09-12  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_draw.c (murrine_draw_frame), (murrine_draw_tab):
	* src/murrine_draw_rgba.c (murrine_rgba_draw_frame),
	(murrine_rgba_draw_tab):
	* src/murrine_style.c (murrine_style_draw_box_gap):
	Removed useless code

2008-09-12  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_draw.c (murrine_draw_tab):
	* src/murrine_draw_rgba.c (murrine_rgba_draw_tab):
	Fixed two rendering errors of the highlight, introduced in r60

2008-09-12  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_draw.c (murrine_draw_tab), (murrine_draw_menu_frame):
	* src/murrine_draw_rgba.c (murrine_rgba_draw_tab):
	Better tab highlighting, upgrade suggested

2008-09-09  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_draw.c (murrine_draw_progressbar_trough),
	(murrine_draw_scrollbar_trough):
	* src/murrine_draw_rgba.c (murrine_rgba_draw_progressbar_trough),
	(murrine_rgba_draw_scrollbar_trough):
	* src/murrine_style.c (murrine_style_realize):
	Do not change progressbar/scrollbar trough with the contrast function

2008-09-05  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_style.c (murrine_widget_is_rgba),
	(murrine_set_widget_parameters):
	Check if widget is not null before proceed asking for the screen

2008-09-03  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/cairo-support.c (get_contrast):
	* src/cairo-support.h:
	* src/murrine_style.c (murrine_style_init_from_rc),
	(murrine_style_realize):
	Completed contrast function: now it shades progressbars borders 
	and other widgets

2008-09-03  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_draw.c (murrine_draw_tab), (murrine_draw_separator),
	(murrine_draw_toolbar), (murrine_draw_statusbar),
	(murrine_draw_resize_grip):
	* src/murrine_draw_rgba.c (murrine_rgba_draw_tab):
	* src/murrine_style.c (murrine_style_realize):
	More fixes for the contrast function

2008-09-03  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_style.c (murrine_style_realize):
	Reworked contrast function, your themes may change

2008-09-02  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_style.c (murrine_style_draw_box):
	Added Clearlooks ability to draw better menuitem separators using
	style properties. Read from Clearlooks gtkrc for more info

2008-09-01  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_rc_style.c (murrine_rc_style_register_types),
	(murrine_rc_style_finalize), (murrine_rc_style_class_init),
	(murrine_rc_style_class_finalize), (murrine_rc_style_merge):
	* src/murrine_rc_style.h:
	* src/murrine_style.c (murrine_set_widget_parameters),
	(murrine_style_draw_flat_box), (murrine_style_draw_box_gap),
	(murrine_style_draw_extension), (murrine_style_draw_box),
	(murrine_style_draw_slider), (murrine_style_draw_shadow_gap),
	(murrine_style_init_from_rc), (murrine_style_realize),
	(murrine_style_copy), (murrine_style_unrealize),
	(murrine_style_register_types), (murrine_style_class_init),
	(murrine_style_class_finalize):
	* src/murrine_style.h:
	* src/murrine_theme_main.c (theme_init):
	Use G_DEFINE_DYNAMIC_TYPE in murrine, similar patch to bug #549830.
	I hope not to have broken anything :)

2008-09-01  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_draw.c (murrine_draw_button):
	* src/murrine_draw_rgba.c (murrine_rgba_draw_button):
	Removed useless shadow on default button. Is it better?

2008-08-31  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_draw.c (murrine_draw_button):
	* src/murrine_draw_rgba.c (murrine_rgba_draw_button):
	Do not colorize disabled default button

2008-08-31  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_draw.c (murrine_draw_button):
	* src/murrine_draw_rgba.c (murrine_rgba_draw_button):
	Removed colored shadow from default button

2008-08-28  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_style.c (murrine_set_widget_parameters),
	(murrine_style_draw_shadow), (murrine_style_draw_box):
	Moved some GtkEntry and GtkSpinButton workarounds

2008-08-27  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* autogen.sh:
	* src/config.h.in:
	Updated autogen.sh, removed config.h.in now generated by autogen.sh
	Thanks to Werner Pantke

2008-08-27  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/config.h.in:
	Re-added

2008-08-27  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* CREDITS:
	Thanks to Werner Pantke

2008-08-27  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* Makefile.am:
	* autogen.sh:
	* configure.ac:
	* schema/Makefile.am:
	* schema/murrine.xml.in.in:
	Added murrine schema file installation

	* src/config.h.in:
	Deleted
	
	* src/murrine_draw.c (murrine_draw_tab):
	Less shading on selected tab

2008-08-27  Werner Pantke  <wpantke@punk-ass-bitch.org>

	* Makefile.am:
	added schema subdirectory for processing and installation, and po
	subdirectory for processing only (no need to install gettext
	catalogs as translations are only used inside the schema atm)

	* autogen.sh:
	added check for intltool(ize) (and run it),
	removed "Now type 'make'[..]" sentence as it's already printed by
	the configure script

	* configure.ac:
	added AC_PROG_INTLTOOL and AM_GLIB_GNU_GETTEXT macros,
	this introduces gettext and intltool (>= 0.40.3) as dependency;
	added generation of po/Makefile.in, schema/Makefile,
	schema/murrine.xml.in

	* po/POTFILES.in:
	marked schema/murrine.xml.in translatable

	* po/POTFILES.skip:
	marked schema/murrine.xml.in.in to be ignored by gettext

	* po/ChangeLog:
	* po/LINGUAS:
	added empty dummy files for translators

	* schema/Makefile.am:
	* schema/murrine.xml.in.in:
	added substitution variables and i18n support, the schema file
	murrine.xml gets installed to $prefix/share/gtk-engines

2008-08-24  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_draw.c (murrine_draw_tab):
	* src/murrine_draw_rgba.c (murrine_rgba_draw_tab):
	Fix inactive tabs

2008-08-24  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_rc_style.c (murrine_rc_style_init):
	RGBA = FALSE, new default

2008-08-24  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* TODO:
	Added TODO file

2008-08-24  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_draw.c (murrine_draw_tab):
	* src/murrine_draw_rgba.c (murrine_rgba_draw_tab):
	New tabs. I forgot to mention that in the previous commit 
	I fixed sliderbuttons in disabled state

2008-04-11  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_draw.c: (murrine_draw_entry),
	(murrine_scale_draw_gradient), (murrine_draw_scale_trough),
	(murrine_draw_slider_handle), (murrine_draw_progressbar_trough):
	* src/murrine_draw_rgba.c: (murrine_rgba_draw_entry),
	(murrine_scale_draw_gradient), (murrine_rgba_draw_scale_trough),
	(murrine_rgba_draw_progressbar_trough):
	Progressbar trough updated.

2008-04-10  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/cairo-support.c: (murrine_draw_lightborder),
	(murrine_set_gradient):
	* src/murrine_draw.c: (murrine_draw_button),
	(murrine_draw_progressbar_fill), (murrine_draw_tab),
	(murrine_draw_list_view_header), (murrine_draw_scrollbar_slider),
	(murrine_draw_tooltip):
	* src/murrine_draw_rgba.c: (murrine_rgba_draw_button),
	(murrine_rgba_draw_progressbar_fill), (murrine_rgba_draw_tab),
	(murrine_rgba_draw_scrollbar_slider), (murrine_rgba_draw_tooltip):
	* src/murrine_rc_style.c: (murrine_rc_style_init),
	(theme_parse_gradient), (murrine_rc_style_parse),
	(murrine_rc_style_merge):
	* src/murrine_rc_style.h:
	* src/murrine_style.c: (murrine_set_widget_parameters),
	(murrine_style_init_from_rc), (murrine_style_copy):
	* src/murrine_style.h:
	* src/murrine_types.h:
	First approach with the new gradient_shades array for the options.
	Name may change in the future.

2008-04-10  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/cairo-support.c: (murrine_draw_lightborder):
	* src/murrine_rc_style.c: (murrine_rc_style_init),
	(murrine_rc_style_parse), (murrine_rc_style_merge):
	* src/murrine_rc_style.h:
	* src/murrine_style.c: (murrine_set_widget_parameters),
	(murrine_style_init_from_rc), (murrine_style_copy):
	* src/murrine_style.h:
	A lot of changes in the gradient code,
	it should look as before but I'm deprecating code.
	Bugs could occures.

	* src/support.c: (murrine_scrollbar_get_junction):
	http://bugzilla.gnome.org/show_bug.cgi?id=526890

2008-04-09  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* schema/murrine.xml.in.in:
	Added a rough schema file

2008-04-01  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_draw_rgba.c: (murrine_rgba_draw_menubar):
	* src/murrine_style.c: (murrine_style_draw_box):
	* src/support.h:
	Less opacity, less transparency on windows (testing, tell me if it is ugly)
	GTK_SHADOW_NONE support on RGBA menubars

2008-03-18  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_draw.c: (murrine_draw_scale_trough):
	* src/murrine_draw_rgba.c: (murrine_rgba_draw_scale_trough):
	Use shade[2] taken from parentbg to draw the scale trough

2008-03-13  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/cairo-support.c: (murrine_get_parent_bg):
	Got the notebook check a bit wrong earlier

2008-03-13  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/cairo-support.c: (murrine_get_parent_bg):
	Various fixes to murrine_get_parent_bg.
	Thanks to Benjamin Berg

2008-03-08  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_style.c: (murrine_style_init_from_rc):
	listviewheaderstyle = 1 for the CLEARLOOKS profile

2008-03-08  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_draw.c: (murrine_draw_scrollbar_stepper):
	* src/murrine_draw_rgba.c: (murrine_rgba_draw_scrollbar_stepper):
	Fixed lightborder in scrollbar stepper

2008-03-07  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_draw.c: (murrine_draw_radiobutton),
	(murrine_draw_checkbox):
	* src/murrine_draw_rgba.c: (murrine_rgba_draw_radiobutton),
	(murrine_rgba_draw_checkbox):
	* src/murrine_style.c: (murrine_style_draw_option),
	(murrine_style_draw_check):
	* src/murrine_types.h:
	Implemented inconsistent state for radiobutton

2008-03-07  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* configure.ac:
	* src/config.h.in:
	* src/murrine_style.c: (murrine_widget_is_rgba),
	(murrine_style_draw_box):
	Added --disable-rgba at the configure,
	renamed --enable-animationtoleft to --enable-animationrtl

2008-02-29  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_style.c: (murrine_style_draw_box):
	Fixed this bug:
	https://bugs.launchpad.net/ubuntu/+source/gtk2-engines-murrine/+bug/195929

2008-02-27  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_draw.c: (murrine_draw_button):
	* src/murrine_draw_rgba.c: (murrine_rgba_draw_button):
	That was part of the last commit :)

2008-02-27  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_style.c: (murrine_style_draw_box):
	Fixed menubaritems with menubaritemstyle = 1.
	Bye bye Murrine, see you in April :)

2008-02-27  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_draw.c: (murrine_draw_button):
	* src/murrine_draw_rgba.c: (murrine_rgba_draw_button):
	* src/murrine_style.c: (murrine_style_init_from_rc),
	(murrine_style_realize):
	Fixed contrast and inset on RGBA active buttons

2008-02-27  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_style.c: (murrine_style_init_from_rc):
	I accidentally broke NODOKA emulated style on rev 18, fixing

2008-02-27  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_draw.c: (murrine_draw_button), (murrine_draw_entry),
	(murrine_draw_scale_trough), (murrine_draw_radiobutton),
	(murrine_draw_checkbox):
	* src/murrine_draw_rgba.c: (murrine_rgba_draw_button),
	(murrine_rgba_draw_entry), (murrine_rgba_draw_scale_trough),
	(murrine_rgba_draw_radiobutton), (murrine_rgba_draw_checkbox):
	* src/murrine_rc_style.c: (murrine_rc_style_init),
	(murrine_rc_style_parse), (murrine_rc_style_merge):
	* src/murrine_rc_style.h:
	* src/murrine_style.c: (murrine_set_widget_parameters),
	(murrine_style_init_from_rc), (murrine_style_copy):
	* src/murrine_style.h:
	* src/murrine_types.h:
	Added reliefstyle, 2 means shadow, 1 inset, 0 flat
	Need to be added also on draw_frame

2008-02-27  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/cairo-support.c: (murrine_draw_lightborder):
	* src/cairo-support.h:
	* src/murrine_draw.c: (murrine_draw_button),
	(murrine_draw_progressbar_fill), (murrine_draw_menubar),
	(murrine_draw_list_view_header), (murrine_draw_menuitem),
	(murrine_draw_scrollbar_stepper), (murrine_draw_scrollbar_slider):
	* src/murrine_draw_rgba.c: (murrine_rgba_draw_button),
	(murrine_rgba_draw_progressbar_fill), (murrine_rgba_draw_menubar),
	(murrine_rgba_draw_scrollbar_stepper),
	(murrine_rgba_draw_scrollbar_slider):
	* src/murrine_rc_style.c: (murrine_rc_style_init),
	(murrine_rc_style_parse), (murrine_rc_style_merge):
	* src/murrine_rc_style.h:
	* src/murrine_style.c: (murrine_set_widget_parameters),
	(murrine_style_init_from_rc), (murrine_style_realize),
	(murrine_style_copy):
	* src/murrine_style.h:
	* src/murrine_types.h:
	Added lightborderstyle, to draw the lightborder on all edges
	(lightborderstyle = 1, 0 is default)

2008-02-27  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/cairo-support.c: (murrine_draw_lightborder):
	* src/cairo-support.h:
	* src/murrine_draw.c: (murrine_draw_button),
	(murrine_draw_progressbar_fill), (murrine_draw_menubar),
	(murrine_draw_list_view_header), (murrine_draw_menuitem),
	(murrine_draw_scrollbar_stepper), (murrine_draw_scrollbar_slider):
	* src/murrine_draw_rgba.c: (murrine_rgba_draw_button),
	(murrine_rgba_draw_progressbar_fill), (murrine_rgba_draw_menubar),
	(murrine_rgba_draw_scrollbar_stepper),
	(murrine_rgba_draw_scrollbar_slider):
	* src/murrine_rc_style.c: (murrine_rc_style_init),
	(murrine_rc_style_parse), (murrine_rc_style_merge):
	* src/murrine_rc_style.h:
	* src/murrine_style.c: (murrine_set_widget_parameters),
	(murrine_style_init_from_rc), (murrine_style_copy):
	* src/murrine_style.h:
	* src/murrine_types.h:
	Renamed innerborder_ratio to lightborder_ratio

2008-02-26  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_style.c: (murrine_style_realize):
	Fixed broken algorithm for the contrast option

2008-02-19  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_draw_rgba.c: (murrine_rgba_draw_tooltip),
	(murrine_rgba_draw_menu_frame), (murrine_register_style_rgba):
	* src/murrine_style.c: (murrine_style_draw_flat_box),
	(murrine_style_draw_shadow):
	* src/support.h:
	Rounded Tooltips

2008-02-19  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/support.h:
	Minor tweaks in transparency

2008-02-17  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/support.h:
	Minor tweaks in transparency

2008-02-16  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/support.h:
	Less transparency, more opacity on rgba mode :)
	Tell me if you like it more

2008-02-16  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/cairo-support.c: (murrine_draw_innerborder):
	* src/murrine_style.c: (murrine_style_draw_flat_box):
	Code polished

2008-02-16  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_draw_rgba.c: (murrine_rgba_draw_entry),
	(murrine_rgba_draw_menubar), (murrine_rgba_draw_toolbar),
	(murrine_rgba_draw_tab), (murrine_rgba_draw_menu_frame):
	* src/murrine_rc_style.c: (murrine_rc_style_init),
	(murrine_rc_style_parse), (murrine_rc_style_merge):
	* src/murrine_rc_style.h:
	* src/murrine_style.c: (murrine_set_widget_parameters),
	(murrine_style_draw_flat_box), (murrine_style_draw_box_gap),
	(murrine_style_draw_box), (murrine_style_init_from_rc),
	(murrine_style_copy):
	* src/murrine_style.h:
	* src/murrine_types.h:
	Rev 8 again :)

2008-02-16  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_draw_rgba.c: (murrine_rgba_draw_entry),
	(murrine_rgba_draw_menubar), (murrine_rgba_draw_toolbar),
	(murrine_rgba_draw_tab), (murrine_rgba_draw_menu_frame):
	* src/murrine_rc_style.c: (murrine_rc_style_init),
	(murrine_rc_style_parse), (murrine_rc_style_merge):
	* src/murrine_rc_style.h:
	* src/murrine_style.c: (murrine_set_widget_parameters),
	(murrine_style_draw_flat_box), (murrine_style_draw_box_gap),
	(murrine_style_draw_box), (murrine_style_init_from_rc),
	(murrine_style_copy):
	* src/murrine_style.h:
	* src/murrine_types.h:
	Just for the History... this version has an opacity ratio, but it is
	dangerous :)
	So I will remove it in the next commit

2008-02-15  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/cairo-support.c: (murrine_draw_innerborder),
	(murrine_set_gradient):
	* src/murrine_draw.c: (murrine_draw_tab):
	* src/murrine_draw_rgba.c: (murrine_rgba_draw_tab):
	* src/murrine_style.c: (murrine_set_widget_parameters):
	* src/murrine_types.h:
	Simplified gradients's code, I hope that nothing got broken :)

2008-02-15  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/animation.h:
	* src/murrine_draw_rgba.c: (murrine_rgba_draw_tab):
	* src/murrine_style.c: (murrine_style_draw_box_gap):
	* src/support.h:
	Using cairo operator SOURCE to draw notebooks in RGBA
	Removed a duplicated definition of MRN_IS_PROGRESS_BAR

2008-02-13  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/cairo-support.c: (murrine_shade), (murrine_draw_innerborder),
	(murrine_set_gradient):
	* src/cairo-support.h:
	* src/murrine_draw.c: (murrine_draw_inset),
	(murrine_draw_highlight_and_shade), (murrine_draw_button),
	(murrine_draw_entry), (murrine_draw_spinbutton_down),
	(murrine_draw_slider_handle), (murrine_draw_progressbar_fill),
	(murrine_draw_menubar), (murrine_draw_frame), (murrine_draw_tab),
	(murrine_draw_separator), (murrine_draw_list_view_header),
	(murrine_draw_toolbar), (murrine_draw_menuitem),
	(murrine_draw_scrollbar_stepper), (murrine_draw_scrollbar_slider),
	(murrine_draw_selected_cell), (murrine_draw_statusbar),
	(murrine_draw_menu_frame), (murrine_draw_tooltip),
	(murrine_draw_radiobutton), (murrine_draw_checkbox),
	(murrine_draw_resize_grip):
	* src/murrine_draw_rgba.c: (murrine_draw_inset),
	(murrine_draw_highlight_and_shade), (murrine_rgba_draw_button),
	(murrine_rgba_draw_entry), (murrine_rgba_draw_progressbar_fill),
	(murrine_rgba_draw_menubar), (murrine_rgba_draw_toolbar),
	(murrine_rgba_draw_frame), (murrine_rgba_draw_tab),
	(murrine_rgba_draw_scrollbar_stepper),
	(murrine_rgba_draw_scrollbar_slider),
	(murrine_rgba_draw_radiobutton), (murrine_rgba_draw_checkbox),
	(murrine_rgba_draw_menu_frame):
	* src/murrine_style.c: (murrine_style_draw_layout),
	(murrine_style_realize):
	Nothing new, just changed the syntax for murrine_shade

2008-02-13  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_style.c: (murrine_style_draw_box):
	Don't read shadow-type in rgba mode, avoid glitches
	but the flat menubar will be unsupported

2008-02-13  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_style.c: (murrine_style_draw_box):
	Fix an error in make

2008-02-13  Andrea Cimitan  <andrea.cimitan@gmail.com>

	* src/murrine_style.c: (murrine_style_draw_handle),
	(murrine_style_draw_box):
	Draw toolbaras and menubars just when shadow-type
	is not GTK_SHADOW_NONE

